<!--<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
-->

<!--追加したい機能
ボタンを押したらdivを追加し、その数をcountする機能

-->

<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title></title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link href="../css/s.css" rel="stylesheet" type="text/css" />
</head>

<body>
    <header class="azuki">
        <ul class="nav justify-content-end navbarp">
            <li class="nav-item mr-auto">
                <!--トップッページに戻る-->
                <a class="nav-link active lawhite" href="#">サイト名</a>
            </li>
            <c:if test="${loginUser.loginId == ||loginUser.loginId == user.loginId}">
                <li class="nav-item">
                    <div class="headerLinks m-2 mr-2 ">
                        <a href="" class="lawhite">マイページ</a>
                    </div>
                </li>
            </c:if>
            <c:if test="${loginUser.loginId == ||loginUser.loginId == user.loginId}">
                <li class="nav-item">
                    <div class="headerLinks m-2 mr-2 ">
                        <a href="" class="lawhite">ユーザー情報</a>
                    </div>
                </li>
            </c:if>
            <c:if test="${loginUser.loginId == ||loginUser.loginId == user.loginId}">
                <li class="nav-item">
                    <div class="headerLinks m-2 mr-2 ">
                        <a href="" class="lawhite">料理を投稿する</a>
                    </div>
                </li>
            </c:if>
            <li class="nav-item">
                <div class="headerLinks m-2 mr-2 ">
                    <a href="" class="lawhite">カテゴリ一覧 </a>
                </div>
            </li>
            <li class="nav-item">
                <form class="form-inline" action="" method="">
                    <div class="input-group">
                        <input type="text" class="form-control" size="50" placeholder="料理名、カテゴリなどを入力">
                        <button type="submit" class="btn btn-outline-light mx-1">検索</button>
                    </div>
                </form>
            </li>
            <li class="nav-item">
                <a class="nav-link active lawhite" href="#">ユーザー名</a>
            </li>
            <li class="nav-item">
                <a class="btn btn-outline-light" href="LogoutServlet">ログアウト</a>
            </li>
        </ul>
    </header>
    <div class="light">
        <p>○○>○○>○○>○○>○○</p>
    </div>
    <div class="wrapper">
        <div class="maxwidth80">
            <div class="container-fluid">
                <h1>料理を投稿</h1>
                <div class="white">
                    <c:if test="${errMsg != null}">
                        <div class="alert alert-danger" role="alert">
                            ${errMsg}
                        </div>
                    </c:if>

                    <div align="right">
                        <button type="button" class="btn btn-success">一時保存する</button>
                    </div>

                    <div class="row">
                        <img class="d-block mx-auto" src="../img/asa.jpg" width="180" height="130">
                    </div>

                    <form action="" method="post">
                        <div class="input-group-sm py-3 row">
                            <label for="custom" class="">料理画像又は動画:</label>
                            <div class="custom-file col-7" id="custom">
                                <input type="file" class="custom-file-input" id="customFile" required>
                                <label class="custom-file-label" for="customFile" data-browse="参照">ここをクリックして画像または動画ファイル選択...</label>
                            </div>

                            <div class="input-group-append col">
                                <button type="button" class="btn btn-outline-secondary reset">取消</button>
                            </div>
                        </div>

                        <div class="row py-3">
                            <label for="foodname" class="m-2">料理名※必須</label>
                            <input class="col" type="text" name="foodname" id="foodname" required>
                        </div>

                        <div class="row m-3">
                            <div class="col-sm-4">所要時間
                                <input class="col" type="" name="time" placeholder="例 40分">
                            </div>

                            <div class="col-sm-4">費用
                                <input class="col" type="text" name="cost" placeholder="例 540円">
                            </div>

                            <div class="col-sm-4">カロリー
                                <input class="col" type="text" name="kcal" placeholder="例 1000kcal">
                            </div>
                        </div>

                        <div class="" align="center">コメント
                            <textarea maxlength="300" class="col" rows="4" cols="50" type="text" name="comment">コメントを記入してください</textarea>
                        </div>

                        <div class="py-3">
                            <div class="py-1" align="center">タグ(任意)12個まで</div>
                        </div>

                        <div class="row">
                            <div class="col-sm-1">
                                <input class="col" type="text" name="usematerial" textalign="right" placeholder="人参">
                            </div>

                            <div class="col-sm-1">
                                <input class="col" type="text" name="materialquantity" placeholder="3分の1本">
                            </div>
                            <div class="col-sm-1">
                                <input class="col" type="text" name="usematerial" textalign="right" placeholder="人参">
                            </div>

                            <div class="col-sm-1">
                                <input class="col" type="text" name="materialquantity" placeholder="3分の1本">
                            </div>
                            <div class="col-sm-1">
                                <input class="col" type="text" name="usematerial" textalign="right" placeholder="人参">
                            </div>

                            <div class="col-sm-1">
                                <input class="col" type="text" name="materialquantity" placeholder="3分の1本">
                            </div>
                            <div class="col-sm-1">
                                <input class="col" type="text" name="usematerial" textalign="right" placeholder="人参">
                            </div>

                            <div class="col-sm-1">
                                <input class="col" type="text" name="materialquantity" placeholder="3分の1本">
                            </div>
                            <div class="col-sm-1">
                                <input class="col" type="text" name="usematerial" textalign="right" placeholder="人参">
                            </div>

                            <div class="col-sm-1">
                                <input class="col" type="text" name="materialquantity" placeholder="3分の1本">
                            </div>
                            <div class="col-sm-1">
                                <input class="col" type="text" name="usematerial" textalign="right" placeholder="人参">
                            </div>

                            <div class="col-sm-1">
                                <input class="col" type="text" name="materialquantity" placeholder="3分の1本">
                            </div>
                        </div>

                        <div class="py-3">
                            <h5 class="py-1">使用材料　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　分量</h5>
                        </div>
                        <div class="center">
                            <input class="col-sm-1" type="text" name="servings" placeholder="1">人前
                        </div>

                        <br>

                        <div class="row">
                            <div class="col-sm-6">
                                <input class="col" type="text" name="usematerial" textalign="right" placeholder="鰆の切り身">
                            </div>

                            <div class="col-sm-6">
                                <input class="col" type="text" name="materialquantity" placeholder="1切">
                            </div>
                        </div>

                        <hr>

                        <div class="row">
                            <div class="col-sm-6">
                                <input class="col" type="text" name="usematerial" textalign="right" placeholder="大根">
                            </div>

                            <div class="col-sm-6">
                                <input class="col" type="text" name="materialquantity" placeholder="3分の1本">
                            </div>
                        </div>

                        <hr>

                        <div class="row">
                            <div class="col-sm-6">
                                <input class="col" type="text" name="usematerial" textalign="right" placeholder="人参">
                            </div>

                            <div class="col-sm-6">
                                <input class="col" type="text" name="materialquantity" placeholder="3分の1本">
                            </div>
                        </div>

                        <hr>

                        <div class="row">
                            <div class="col-sm-6">
                                <input class="col" type="text" name="usematerial" textalign="right">
                            </div>

                            <div class="col-sm-6">
                                <input class="col" type="text" name="materialquantity">
                            </div>
                        </div>

                        <hr>

                        <div class="row">
                            <div class="col-sm-6">
                                <input class="col" type="text" name="usematerial" textalign="right">
                            </div>

                            <div class="col-sm-6">
                                <input class="col" type="text" name="materialquantity">
                            </div>
                        </div>

                        <hr>

                        <div class="row">
                            <div class="col-sm-6">
                                <input class="col" type="text" name="usematerial" textalign="right">
                            </div>

                            <div class="col-sm-6">
                                <input class="col" type="text" name="materialquantity">
                            </div>
                        </div>

                        <hr>

                        <div class="row">
                            <div class="col-sm-6">
                                <input class="col" type="text" name="usematerial" textalign="right">
                            </div>

                            <div class="col-sm-6">
                                <input class="col" type="text" name="materialquantity">
                            </div>
                        </div>

                        <hr>

                        <div class="row">
                            <div class="col-sm-6">
                                <input class="col" type="text" name="usematerial" textalign="right">
                            </div>

                            <div class="col-sm-6">
                                <input class="col" type="text" name="materialquantity">
                            </div>
                        </div>

                        <hr>

                        <div class="row">
                            <div class="col-sm-6">
                                <input class="col" type="text" name="usematerial" textalign="right">
                            </div>

                            <div class="col-sm-6">
                                <input class="col" type="text" name="materialquantity">
                            </div>
                        </div>

                        <hr>

                        <div class="row">
                            <div class="col-sm-6">
                                <input class="col" type="text" name="usematerial" textalign="right">
                            </div>

                            <div class="col-sm-6">
                                <input class="col" type="text" name="materialquantity">
                            </div>
                        </div>

                        <hr>

                        <div class="row">
                            <div class="col-sm-6">
                                <input class="col" type="text" name="usematerial" textalign="right">
                            </div>

                            <div class="col-sm-6">
                                <input class="col" type="text" name="materialquantity">
                            </div>
                        </div>

                        <hr>

                        <div class="py-3">
                            <h5 class="py-1">作成手順</h5>
                        </div>



                        <div class="row">
                            <h6 class="m-1">1.</h6>
                            <div class="input-group-sm py-2 col-sm-6">
                                <h4>参考画像又は動画:</h4>
                                <div class="custom-file">
                                    <input type="file" class="custom-file-input" id="customfile">
                                    <label class="custom-file-label" for="customFile" data-browse="参照" required>ここをクリックして選択...</label>
                                </div>
                                <div class="input-group-append">
                                    <button type="button" class="btn btn-outline-secondary reset">取消</button>
                                </div>
                            </div>
                            <textarea class="col-sm-4" rows="3" cols="30" type="text" name="cooktext" required>ここに手順やコツを記入してください</textarea>
                        </div>
                        <br>
                        <hr>
                        <br>
                        <div class="row">
                            <h6 class="m-1">2.</h6>
                            <div class="input-group-sm py-2 col-sm-6">
                                <h4>参考画像又は動画:</h4>
                                <div class="custom-file">
                                    <input type="file" class="custom-file-input" id="customfile">
                                    <label class="custom-file-label" for="customFile" data-browse="参照" required>ここをクリックして選択...</label>
                                </div>
                                <div class="input-group-append">
                                    <button type="button" class="btn btn-outline-secondary reset">取消</button>
                                </div>
                            </div>
                            <textarea class="col-sm-4" rows="3" cols="30" type="text" name="cooktext" required>ここに手順やコツを記入してください</textarea>
                        </div>
                        <br>
                        <hr>
                        <br>
                        <div class="row">
                            <h6 class="m-1">3.</h6>
                            <div class="input-group-sm py-2 col-sm-6">
                                <h4>参考画像又は動画:</h4>
                                <div class="custom-file">
                                    <input type="file" class="custom-file-input" id="customfile">
                                    <label class="custom-file-label" for="customFile" data-browse="参照" required>ここをクリックして選択...</label>
                                </div>
                                <div class="input-group-append">
                                    <button type="button" class="btn btn-outline-secondary reset">取消</button>
                                </div>
                            </div>
                            <textarea class="col-sm-4" rows="3" cols="30" type="text" name="cooktext" required>ここに手順やコツを記入してください</textarea>
                        </div>
                        <br>
                        <hr>
                        <br>
                        <div class="row">
                            <h6 class="m-1">4.</h6>
                            <div class="input-group-sm py-2 col-sm-6">
                                <h4>参考画像又は動画:</h4>
                                <div class="custom-file">
                                    <input type="file" class="custom-file-input" id="customfile">
                                    <label class="custom-file-label" for="customFile" data-browse="参照" required>ここをクリックして選択...</label>
                                </div>
                                <div class="input-group-append">
                                    <button type="button" class="btn btn-outline-secondary reset">取消</button>
                                </div>
                            </div>
                            <textarea class="col-sm-4" rows="3" cols="30" type="text" name="cooktext" required>ここに手順やコツを記入してください</textarea>
                        </div>
                        <br>
                        <hr>
                        <br>
                        <div class="row">
                            <h6 class="m-1">5.</h6>
                            <div class="input-group-sm py-2 col-sm-6">
                                <h4>参考画像又は動画:</h4>
                                <div class="custom-file">
                                    <input type="file" class="custom-file-input" id="customfile">
                                    <label class="custom-file-label" for="customFile" data-browse="参照" required>ここをクリックして選択...</label>
                                </div>
                                <div class="input-group-append">
                                    <button type="button" class="btn btn-outline-secondary reset">取消</button>
                                </div>
                            </div>
                            <textarea class="col-sm-4" rows="3" cols="30" type="text" name="cooktext" required>ここに手順やコツを記入してください</textarea>
                        </div>
                        <br>
                        <hr>
                        <br>


                        <div class="passtxt" align="center">
                            <button class="btn btn-warning" type="submit" value="登録">投稿する</button>
                        </div>

                        <div class="col newreg text-left">
                            <a class="btn btn-outline-danger btn-lg" href="index.jsp">やっぱりやめる</a>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <footer>
            <p class="m-1">(c)copy right</p>
        </footer>

    </div>

</body>

</html>
